summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 33ceddc)
raw | patch | inline | side by side (parent: 33ceddc)
author | Ævar Arnfjörð Bjarmason <avarab@gmail.com> | |
Sat, 21 May 2011 18:44:15 +0000 (18:44 +0000) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Sat, 21 May 2011 18:57:17 +0000 (11:57 -0700) |
Gettextize messages that used the $* variable. Since it's subroutine
local we have to provide an alias for it for eval_gettext.
Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
local we have to provide an alias for it for eval_gettext.
Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
git-stash.sh | patch | blob | history |
diff --git a/git-stash.sh b/git-stash.sh
index 3d89c150726897f173b1845ef7a2c132460a3f4d..509e14f05173dfe875d53ef8e90e2300a733a717 100755 (executable)
--- a/git-stash.sh
+++ b/git-stash.sh
}
assert_stash_like() {
- is_stash_like "$@" || die "'$*' is not a stash-like commit"
+ is_stash_like "$@" || {
+ args="$*"
+ die "$(eval_gettext "'\$args' is not a stash-like commit")"
+ }
}
is_stash_ref() {
}
assert_stash_ref() {
- is_stash_ref "$@" || die "'$*' is not a stash reference"
+ is_stash_ref "$@" || {
+ args="$*"
+ die "$(eval_gettext "'\$args' is not a stash reference")"
+ }
}
apply_stash () {